Package org.italiangrid.voms.request.impl

# Class VOMSRequestFactory

java.lang.Object
org.italiangrid.voms.request.impl.VOMSRequestFactory

public class VOMSRequestFactory extends Object
This class builds VOMS XML requests starting from `VOMSACRequest` objects.

Author:
  Andrea Ceccanti

## Field Summary

Fields
Modifier and Type
Field
Description
`protected DocumentBuilder`
`docBuilder`

## Method Summary

Modifier and Type
Method
Description
`Document`
`buildRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint)`
`long`
`getLifetime()`
`String`
`getOrderString()`
`String`
`getTargetString()`
`static VOMSRequestFactory`
`instance()`
`void`
`setLifetime(long lifetime)`
`void`
`setOrderString(String orderString)`
`void`
`setTargetString(String targetString)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### docBuilder

protected DocumentBuilder docBuilder

## Method Details

### instance

public static VOMSRequestFactory instance()

### getLifetime

public long getLifetime()

### setLifetime

public void setLifetime(long lifetime)

### getOrderString

public String getOrderString()

### setOrderString

public void setOrderString(String orderString)

### getTargetString

public String getTargetString()

### setTargetString

public void setTargetString(String targetString)

### buildRequest

public Document buildRequest(VOMSACRequest acRequest, VOMSServerInfo endpoint)